package ListInterface.LinkedList;
import java.util.*;

public class CoustomLinkdList {
    LinkedList<Integer> obj = new LinkedList<>();

    public CoustomLinkdList() {
        System.out.println("Object is Created!");
    }

    public void LinkdList() {
        // Adding in LinkedList
        obj.add(3);
        obj.add(4);
        System.out.println("LinkedList: " + obj);

        // Adding at a particular index
        obj.add(1, 7);
        obj.add(2, 1);
        System.out.println("LinkedList after adding at specific index: " + obj);

        // Adding elements at the first and last position
        obj.addFirst(10);
        obj.addLast(20);
        System.out.println("LinkedList after adding first and last: " + obj);

        // Removing elements
        obj.remove(2);  // Removes element at index 2
        System.out.println("LinkedList after removal at index 2: " + obj);

        obj.removeFirst();  // Removes the first element
        obj.removeLast();   // Removes the last element
        System.out.println("LinkedList after removing first and last: " + obj);

        // Accessing elements
        int firstElement = obj.getFirst();
        int lastElement = obj.getLast();
        System.out.println("First element: " + firstElement);
        System.out.println("Last element: " + lastElement);
        System.out.println("Element at index 1: " + obj.get(1));

        // Checking if the list contains an element
        boolean contains7 = obj.contains(7);
        System.out.println("Contains 7? " + contains7);

        // Getting the size of the list
        int size = obj.size();
        System.out.println("Size of LinkedList: " + size);

        // Clearing the list
        obj.clear();
        System.out.println("LinkedList after clearing: " + obj);

        // Re-adding elements after clearing
        obj.add(50);
        obj.add(60);
        System.out.println("LinkedList after re-adding elements: " + obj);
    }
}
